Tryton - Issues

 

Issue6861

Title Categories accounting tab showing it's separators
Priority bug Status resolved
Superseder Nosy List ced, reviewbot, roundup-bot, xcodinas
Type behavior Components sao
Assigned To ced Keywords review
Reviews 36751002
View: 36751002

Created on 2017-10-17.12:53:24 by xcodinas, last changed by roundup-bot.

Files
File name Uploaded Type Edit Remove
categories.png xcodinas, 2017-10-17.13:51:00 image/png
Messages
New changeset bf663fcce810 by C├ędric Krier in branch 'default':
Ensure to activate only visible page
http://hg.tryton.org/sao/rev/bf663fcce810
msg36622 (view) Author: [hidden] (xcodinas) (Tryton committer) Date: 2017-10-30.09:43:22
With review36751002 it works as expected.
review36751002 updated at https://codereview.tryton.org/36751002/#ps1
msg36606 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-10-29.15:18:34
It should be fixed with review36751002
msg36333 (view) Author: [hidden] (xcodinas) (Tryton committer) Date: 2017-10-17.13:51:00
> I do not understand.

If you go to Product -> Categories -> Categories and create a new record
without the accounting check selected you can see the "Account" and "Taxes"
separators when you shouldn't see them because accounting it's not selected.
msg36332 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-10-17.13:42:10
I do not understand.
msg36331 (view) Author: [hidden] (xcodinas) (Tryton committer) Date: 2017-10-17.12:53:23
The categories form view is showing the accounts and taxes spacers even if accounting it's not selected.

On tryton it shows the children tab by default and the accounting spacers are not shown.
History
Date User Action Args
2019-02-03 22:49:01cedlinkissue7923 superseder
2017-10-30 10:00:07roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg36629
2017-10-30 09:43:22xcodinassetmessages: + msg36622
2017-10-29 15:48:41reviewbotsetnosy: + reviewbot
messages: + msg36607
2017-10-29 15:18:34cedsetstatus: chatting -> testing
reviews: 36751002
messages: + msg36606
keyword: + review
assignedto: ced
2017-10-17 13:51:00xcodinassetfiles: + categories.png
messages: + msg36333
2017-10-17 13:42:10cedsetstatus: unread -> chatting
nosy: + ced
messages: + msg36332
2017-10-17 12:53:24xcodinascreate

Showing 10 items. Show all history (warning: this could be VERY long)